<%@ Page Language="C#" AutoEventWireup="true" Codebehind="MoveSave.aspx.cs" Inherits="Web.User.MoveSave" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="pragma" content="no-cache" />
    <meta http-equiv="Cache-Control" content="no-cache, must-revalidate" />
    
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>选择移动目标栏目</title>

    <script language="javascript" type="text/javascript">
        function MoveSave()
        {
            if (!confirm("确定要移动到所选栏目?"))
            {
                return false;
            }
            var bci, mi;
            var f = false;
            var o = document.getElementById("MoveTarget");
            if (o)
            {
                bci = o.value;
                mi = o.options[o.selectedIndex].getAttribute("MenuID");
                if (bci && mi)
                {
                    if (window.dialogArguments.window.document.getElementById("MoveTargetBigClassID") && window.dialogArguments.window.document.getElementById("MoveTargetBigClassID"))
                    {
                        window.dialogArguments.window.document.getElementById("MoveTargetBigClassID").value = bci;
                        window.dialogArguments.window.document.getElementById("MoveTargetMenuID").value = mi;
                        window.dialogArguments.window.CallMoveSubmit();
                        window.close();
                        f = true;
                    }
                }
            }
            
            if (!f)
            {
                alert("选择错误!");
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table width="100%" cellpadding="0" cellspacing="0" border="0">
                <tr>
                    <td align="center">
                        <br />
                        <asp:DropDownList ID="MoveTarget" runat="server" size="13" Width="380" Height="260">
                            <asp:ListItem Value="" Selected="True">您可以将选定内容移动至以下栏目</asp:ListItem>
                        </asp:DropDownList>
                        <br />
                        <input id="OK" type="button" value="确 定" onclick="MoveSave();" />
                        &nbsp;&nbsp;&nbsp;
                        <input id="Cancel" type="button" value="取 消" onclick="window.close();" /><br />
                    </td>
                </tr>
                
            </table>
        </div>
    </form>
</body>
</html>
